export interface Project {
  id: string;
  title: string;
  description: string;
  sourceUrl: string;
}

export interface Skill {
  category: string;
  items: string[];
}

export interface SocialLink {
  name: string;
  url: string;
  icon?: string;
}

export interface Experience {
  company: string;
  location: string;
  positions: {
    title: string;
    date: string;
    bullets?: string[];
  }[];
}

export type WorkoutDifficulty = 'recovery' | 'easy' | 'moderate' | 'strenuous';
export type WorkoutDuration = 30 | 60 | 90 | 120 | 150 | 180 | 210 | 240 | 270 | 300;

export interface Workout {
  id: string;
  title: string;
  difficulty: WorkoutDifficulty;
  duration: WorkoutDuration;
  exercises: string[];
  description?: string;
}